/* *********************************************************
Welcome Page
********************************************************* */

.welcome-page {
    background: #f2efe5;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    animation: fadeIn 2s;
}

.logo-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px; /* Adjust this value to change the spacing between the logo and the text */
}

.v-container {
    position: relative;
    width: 200px;
    height: 200px;
    margin-bottom: 20px; /* Adjust this value to change the spacing between the logo and the text */
}

.logo-v {
    position: absolute;
    top: 0;
    left: 0%;
    transform: translateX(-50%);
    width: 100%;
    height: 100%;
    animation: pendulum 10s linear infinite;
}

.logo-container {
    width: 400px;
    height: auto;
}

.logo-base {
    width: 100%;
    height: auto;
}

.welcome-box {
    background: #f2efe5;
    padding: 40px;
    text-align: center;
    max-width: 500px;
    animation: slideIn 1.5s ease-out;
}

.welcome-box h1 {
    font-size: 25px;
    color: #805e2e;
    margin-bottom: 20px;
    animation: textAppear 2s forwards;
}

.welcome-box p {
    font-size: 15px;
    color: #a58d6b;
    margin-bottom: 30px;
}

.welcome-box a {
    font-size: 15px;
    color: #fff;
    background-color: #805e2e;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    transition: background-color 0.3s;
}

.welcome-box a:hover {
    background-color: #a58d6b;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes slideIn {
    from { transform: translateY(-50px); opacity: 0; }
    to { transform: translateY(0); opacity: 1; }
}

@keyframes textAppear {
    0% { color: transparent; }
    100% { color: #805e2e; }
}

@keyframes pendulum {
    from { transform: rotateY(0deg); }
    to { transform: rotateY(360deg); }
}

/* *********************************************************
Generell 
********************************************************* */

body {
    font-family: 'Antique Olive', sans-serif;
    margin: 0;
    padding: 0;
}

header {
    position: fixed;
    background: #f2efe5;
    padding: 10px 20px;
    top: 0;
    z-index: 1000;
    width: 100%;
    height: 100px; /* Höhe des Headers festlegen */
}

header img {
    width: 130px;
    height: auto;
    margin-top: -13px; /* Verringere den margin-top Wert, um das Logo höher zu schieben */
}


/* *********************************************************
Navigation Section
********************************************************* */

.navbar-nav {
    margin-left: auto !important; /* Sicherstellen, dass die Navigation nach rechts verschoben wird */
} */

.nav-link {
    display: flex;
    align-items: center;
}
.nav-link .bi {
    margin-right: 5px;
}

.navbar-nav .nav-link {
    color:#805e2e !important;
    font-weight: light;
    font-size: 17.5px;
    padding: 10px;
}

.navbar-nav .nav-link:hover {
    text-decoration: underline;
}

.dropdown-menu{
    background: #f2efe5 !important;
    font-size: 14px;
}

.dropdown-menu .dropdown-item {
    color:#73280D; /* Setze hier die gewünschte Farbe ein der Schrift*/
}

/* *********************************************************
Parallax Section
********************************************************* */

.parallax-section {
    position: relative;
    padding: 155px 0 230px;  /* Größe des parallex anpassen*/
    color: #73280D;
    text-align: center;
    z-index: 1;
    margin-top: 100px; /* Oberer Rand, der der Höhe des Headers entspricht */
    width: 100%;
}

.parallax-section .overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #bbb6ac; /* Brauner Farbton */
    opacity: 0.6; /* Opazität anpassen */
    z-index: 2;
}

.parallax-section::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-attachment: fixed;
    background-position: center bottom;
    background-repeat: repeat;
    background-size: cover;
    opacity: 0.5;  /*Opazität nur für das Hintergrundbild */
    z-index: -1; /* Stellt sicher, dass das Pseudo-Element hinter dem Text liegt */
}

.parallax-section h2, .parallax-section h3 {
    position: relative;
    z-index: 4; /* Stellt sicher, dass der Text über dem Pseudo-Element angezeigt wird */
}

.parallax-section h2 {
    font-weight: bold;
    font-size: 35px;
    display: inline-block;
    color:#805e2e;
    margin-top: 10px; /* Fügt Abstand nach oben hinzu */
}

/* *********************************************************
Welcome Section
********************************************************* */

.welcome {
    position:static;
    background:#fff;
    width: 100%;
}

.welcome h1, .welcome p{
    font-family: 'Antique Olive', sans-serif;
    font-weight:light; /* Macht die Schrift dicker */
}

.welcome h1 {  /*Ueberschrift*/
    font-size: 30px; /* Vergrößert die Schriftgröße */
    color:#805e2e;
    text-align: center;
    margin-bottom: 30px;
}

.welcome p{
    font-size: 17px; /* Vergrößert die Schriftgröße */
    color:#a58d6b;
    font-weight: light;
}

.text-content {
    max-width: 1050px;
    text-align:left;
    margin: 30px auto;
}

/* *********************************************************
Services Section
********************************************************* */

.services, .service-box {
    text-align:center;
}

.grid {
    display:inline-flex;
}

.service-box {
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Ensure content is distributed with space between */
    align-items: center;
    text-align: center;
    flex: 1;
    margin: 20px;
    flex: 2 2 10%; /* Adjust this value to change the number of items per row */
    box-sizing: border-box;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Ensure content is distributed with space between */
    align-items: center;
    height: 100%;
}

.service-icon {
    margin-top: 20px;
    padding-top: 1em;
}

.circle-icon {
    display: inline-block;
    font-size: 2em;
    padding: 1.1em 1.15em;
    color: #a58d6b; /* Farbe des Icons */
    border-radius: 50%;
    background: transparent;
    box-shadow: 0 0 0 2px #a58d6b; /* Farbe des Kreises */
    transition: all .15s linear;
}

.service-box:hover .circle-icon {
    transform: scale(1.1);
}

.service-entry {
    margin-top: 30px; /* Abstand zwischen Icon und Text */
    padding: 0 .5em;
    height: auto;
    flex-grow: 1; /* Allow service entry to grow and fill available space */
}

.service-entry h3, .service-entry p { /*Beschreibung der Icons*/
    font-family: 'Antique Olive', sans-serif;
}

.service-entry h3{ /* Medizin, KI, Umwelt ...etc*/
    color: #805e2e;
    font-size: 23px;
}

.service-entry p { /*Text der Icons*/
    margin-bottom: 10px;
    font-weight: lighter;
    color: #a58d6b;
    font-size: 17px;
}

.services-wrap { /* Größe der service section ändern*/
    text-align: center;
    font-size: 0.9em;
}

.services-wrap h2 { /*Unsere Beteiligung*/
    margin: 0 auto 20px auto; /* Zentriert das h2-Element und fügt einen Abstand nach unten hinzu */
    font-family: 'Antique Olive', sans-serif;
    font-size: 30px;
    font-weight: light; /* Macht die Schrift dicker */
    color: #805e2e;
}

.btn { /* read more */
    display: inline-block;
    margin: .8em 0;
    padding: .5em 1.6em;
    color: #fff;
    font-size: 17px;
    border-radius: 30px;
    background: #805e2e;
    transition: all .12s linear;
}

.btn:hover, .btn:focus, .btn-current {
    color: #fff;
    background:#a58d6b;
}

.read-more {
    align-self: center; /* Ensure button is aligned to the center */
    margin-top: auto; /* Push the button to the bottom */
    margin-bottom: 20px; /* Ensure some space at the bottom */
    padding: .5em 1.6em;
    color: #fff;
    font-size: 17px;
    border-radius: 30px;
    background: #805e2e;
    transition: all .12s linear;
}

/* *********************************************************
Profil Section
********************************************************* */

.profil {
    background:#f2efe5;
    position:relative;
    top: 50px; /* Verschiebt die Sektion um 50px nach unten */
    width: 100%; /* Setze die Breite auf 100vw */
}

.row.no-gutters {  /* Damit die Lücke rechts zum aeusseren Rand entfernt wird */
    margin-right: 0;
    margin-left: 0;
}

.row.no-gutters > [class*='col-'] {
    padding-right: 0;
    padding-left: 0;
}

.description {
    text-align: left;
    font-size: 17px; /* Vergrößert die Schriftgröße */
    font-weight: light; /* Macht die Schrift dünner */
    color:#a58d6b;
    width: auto;
    margin: 0 auto; /* Zentriere das Element */
    padding: 20px; /* Füge etwas Polsterung hinzu */
}

.profile-card {
    width: 300px;  /* Gr0eße von der profilcard*/
    height: 500px;
    color:#805e2e;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
    background: #f2efe5;
    overflow: hidden;
    transition: box-shadow 0.3s ease;
    cursor: pointer;
    margin: 0 auto; /* Center the profile card */
    margin-top: 20px;
    margin-bottom: 30px;
}

.profile-image {
    width: 100%;
    display: block;
}

.profile-info {
    padding: 10px 10px;
    background: #f2efe5;
    
}

.profile-info p {
    font-size: 17px; /* Vergrößert die Schriftgröße des p-Elements */
}

.profile-info h3 {
    font-size: 20px; /* Vergrößert die Schriftgröße des p-Elements */
}

.linkedin-popup {
    background-color: #f2efe5;
    text-align: center;
    padding: 10px 0;
    transform: translateY(100%);
    transition: transform 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -55px;
}

.linkedin-popup a i {
    margin-right: 15px; /* Fügt rechts vom ersten Icon Platz hinzu */
    font-size: 24px; /* Ändert die Schriftgröße der Symbole */
}

.linkedin-popup a i:nth-child(2) {
    margin-left: 15px; /* Fügt links vom zweiten Icon Platz hinzu */
    font-size: 24px; /* Ändert die Schriftgröße der Symbole */
}

.profile-card:hover .linkedin-popup {
    transform: translateY(0);
}

.profile-card:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

/* *********************************************************
Footer Section
********************************************************* */

.link-impressum {
    color:#805e2e;
    text-decoration: none;
}

.link-impressum:hover {
    text-decoration: underline;
}

.footer {
    position: relative; /* Stelle sicher, dass der Footer die relative Positionierung hat */
    height: 100px; /* Beispielhöhe, passe sie nach Bedarf an */
    background: #f2efe5; /* Hintergrundfarbe des Footers */
    padding: 0; /* Entferne Padding, um das Layout nicht zu beeinflussen */
    width: 100%;
}

.footer-left {
    color: #a58d6b;
    margin: 0;
    position: absolute;
    bottom: 0; /* Am unteren Rand des Footers */
    left: 40px; /* Am linken Rand des Footers */
    margin: 0; /* Entferne zusätzlichen Außenabstand */
    padding: 10px;
    text-align: left; /* Text links ausrichten */

}

.footer p {
    font-size: 17px;
    margin: 5px 0;
}


/* *********************************************************
Responsive Anpassungen
********************************************************* */

@media (max-width: 800px) {
    .welcome-page {
        padding: 20px;
    }

    .logo-container {
        width: 250px;
    }

    .welcome-box {
        padding: 20px;
        max-width: 100%;
    }

    .welcome-box h1 {
        font-size: 20px;
    }

    .welcome-box p {
        font-size: 14px;
    }

    header {
        height: 80px; /* Höhe des Headers für Mobilgeräte anpassen */
        padding: 5px 10px;
        position: fixed;
    }

    header img {
        width: 100px;
        margin-top: -10; /* Margin-Top für Mobilgeräte anpassen */
    }

    .navbar-nav .nav-link {
        font-size: 17px; /* Schriftgröße für Mobilgeräte anpassen */
        padding: 8px;
    }

    .navbar-toggler {
        margin-top: -10px; /* Passe diesen Wert nach Bedarf an */
    }

    .dropdown-menu {
        font-size: 16px; /* Schriftgröße für Mobilgeräte anpassen */
    }

    .navbar-collapse.collapse {
        display: none!important;
    }

    .navbar-collapse.collapse.show {
        display: block!important;
        position: absolute;
        top: 60px;
        width: 70%;
        background: #f2efe5;
        padding: 10px 20px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    .parallax-section {
        padding: 100px 0 150px;
        margin-top: 80px; /* Oberer Rand für Mobilgeräte anpassen */
        width: 100%
    }

    .parallax-section h2 {
        font-size: 25px;
    }

    .welcome h1 {
        font-size: 25px; /* Schriftgröße für Mobilgeräte anpassen */
        text-align: center; /* Zentrieren der Überschrift für Mobilgeräte */
        margin-left: 0; /* Entfernen des linken Außenabstands */
    }

    .text-content {
        padding-left: 20px; /* Innenabstand für Mobilgeräte anpassen */
    }

    .grid {
        display: flex;
        flex-direction: column; /* Spaltenlayout für Mobilgeräte */
    }

    .services-wrap h2 {
        font-size: 25px;
    }

    .service-entry h3 {
        font-size: 20px;
    }

    .service-entry p {
        font-size: 15px;
    }

    .service-box {
        margin: 10px 0; /* Margin für Mobilgeräte anpassen */
    }

    .profile-card {
        width: 90%;
        max-width: none;
        height: auto;
    }

    .profile-info p {
        font-size: 15px; /* Schriftgröße für Mobilgeräte anpassen */
    }

    .profile-info h3 {
        font-size: 18px; /* Schriftgröße für Mobilgeräte anpassen */
    }

    .row.no-gutters {  /* Damit die Lücke rechts zum äusseren Rand entfernt wird */
        margin-right: 0;
        margin-left: 0;
    }
    
    .row.no-gutters > [class*='col-'] {
        padding-right: 0;
        padding-left: 0;
    }

    .footer-left {
        left: 10px;
    }
}


/* *********************************************************
Cookie Banner
********************************************************* */

.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #333;
    color: #fff;
    padding: 15px;
    text-align: center;
    z-index: 1000;
}
.cookie-banner button {
    background-color: #805e2e;;
    color: white;
    border: none;
    padding: 10px 20px;
    margin-left: 10px;
    cursor: pointer;
}
.cookie-banner button:hover {
    background-color: #a58d6b;;
}


/* *********************************************************
Switch Language
********************************************************* */


.language-content {
    display: none;
}
.language-content.active {
    display: inline;
}


